/**
 * Update color picker element
 * Used for static & dynamic added elements (when clone)
 */
function zdmb_update_color_picker()
{
	var $ = jQuery;
	$( '.zdmb-color-picker' ).each( function()
	{
		var $this = $( this ),
			$input = $this.siblings( 'input.zdmb-color' );

		// Make sure the value is displayed
		if ( ! $input.val() )
			$input.val( '#' );

		$this.farbtastic( $input );
	} );
}

jQuery( document ).ready( function($)
{
	$( '.zdmb-color' ).focus( function()
	{
		$( this ).siblings( '.zdmb-color-picker' ).show();
		return false;
	} ).blur( function() {
		$( this ).siblings( '.zdmb-color-picker' ).hide();
		return false;
	} );

	zdmb_update_color_picker();
} );